// interfaces
class C {
    static public void main(String[] args) /*throws Exception*/ {
	I test = new I() {
		public int m()  { return 3; }
	    };

	int j = test.m();
	
    }
    void init() {
	
    }
}

interface I { 
    int m();
}
